Page MenuHomePhabricator

Convert VisualEditor to use extension registration
Closed, ResolvedPublic1 Story Points

Description

The VisualEditor extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:34 PM
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF claimed this task.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Planned Maintenance to Blocked on the VisualEditor board.
gerritbot added a subscriber: gerritbot.

Change 183524 had a related patch set uploaded (by Jforrester):
Add extension.json

https://gerrit.wikimedia.org/r/183524

Patch-For-Review

Change 183524 merged by jenkins-bot:
Add extension.json

https://gerrit.wikimedia.org/r/183524

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Feb 5 2015, 1:08 AM
Jdforrester-WMF edited a custom field.Mar 9 2015, 6:11 PM
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q3 blockers board.

Change 208057 had a related patch set uploaded (by Jforrester):
Update extension.json and empty out PHP entry point

https://gerrit.wikimedia.org/r/208057

Change 208057 merged by jenkins-bot:
Update extension.json and empty out PHP entry point

https://gerrit.wikimedia.org/r/208057

Change 215090 had a related patch set uploaded (by Jforrester):
[WIP] Update extension.json and empty out PHP entry point

https://gerrit.wikimedia.org/r/215090

Change 215090 merged by jenkins-bot:
Re-do: Empty out PHP entry point

https://gerrit.wikimedia.org/r/215090